Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.realm
Class PortalLDAPRealm

    java.lang.Object
      |
      +--weblogic.security.acl.AbstractListableRealm
            |
            +--weblogic.security.ldaprealmv2.LDAPRealm
                  |
                  +--com.bea.p13n.security.realm.PortalLDAPRealm

public class PortalLDAPRealm
extends weblogic.security.ldaprealmv2.LDAPRealm
implements PortalSearchableRealm

Constructor Summary
`PortalLDAPRealm()`

Method Summary
`java.util.Enumeration` | `getGroupUsers(java.lang.String groupName, java.lang.String searchStr, int maxResults)` Does a filtered search for users of group.
`java.util.Enumeration` | `getUsers(java.lang.String searchStr, int maxResults)` Does a filtered search for users.

Methods inherited from class weblogic.security.ldaprealmv2.LDAPRealm
`authUserPassword, getDebugLog, getGroup, getGroupMembersInternal, getGroups, getUser, getUsers, setDebug`

Methods inherited from class weblogic.security.acl.AbstractListableRealm
`authCertificates, authenticate, authInternal, authSSLCertificates, getAcl, getAcl, getAclOwner, getAcls, getDelegator, getGroupMembers, getName, getPermission, getPermissions, getUser, init, load, save, setDelegator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalLDAPRealm

    public PortalLDAPRealm()

Method Detail

### getUsers

    public java.util.Enumeration getUsers(java.lang.String searchStr,
                                          int maxResults)

  Does a filtered search for users.
  Specified by:
    getUsers in interface PortalSearchableRealm

  Parameters:
    `searchStr` - realm specific search String
    `maxResults` - maximum number of results to return

### getGroupUsers

    public java.util.Enumeration getGroupUsers(java.lang.String groupName,
                                               java.lang.String searchStr,
                                               int maxResults)

  Does a filtered search for users of group.
  Specified by:
    getGroupUsers in interface PortalSearchableRealm

  Parameters:
    `groupName` - name of the group
    `searchStr` - realm specific search String
    `maxResults` - maximum number of results to return

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved